%define upstream_name    Sub-Mage
%define upstream_version 0.032

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Multi-Use utility for manipulating subroutines, classes and more
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Sub/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
What this module attempts to do is make a developers life easier by
allowing them to manage and manipulate subroutines and modules. You can
override a subroutine, then restore it as it was originally, create after,
before and around hook modifiers, delete subroutines, or even tag every
subroutine in a class to let you know when each one is being run, which is
great for debugging.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.32.0-12.mga9
+ Revision: 1810251
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.32.0-11.mga8
+ Revision: 1506199
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.32.0-10.mga7
+ Revision: 1286213
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.32.0-9.mga7
+ Revision: 1166667
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.32.0-8.mga7
+ Revision: 1160352
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.32.0-7.mga6
+ Revision: 1033535
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.32.0-6.mga6
+ Revision: 930413
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.32.0-5.mga5
+ Revision: 751211
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.32.0-4.mga5
+ Revision: 686270
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.32.0-3.mga4
+ Revision: 514716
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.32.0-2.mga3
+ Revision: 372891
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 shlomif <shlomif> 0.32.0-1.mga3
+ Revision: 332424
- update to 0.032

* Fri Nov 09 2012 shlomif <shlomif> 0.30.0-1.mga3
+ Revision: 316773
- update to 0.030

* Sat Jun 02 2012 kharec <kharec> 0.20.0-1.mga3
+ Revision: 253310
- imported package perl-Sub-Mage


* Sat Jun 02 2012 cpan2dist 0.020-1mga
- initial mageia release, generated with cpan2dist
